{
    "path": "$OET_PATH/testcases/function_test/pkg_test/docker-engine/docker-engine",
    "machine num": 1,
    "cases": [
        {
            "name": "test_docker-engine_function_install",
            "desc": "测试docker-engine软件包的安装功能是否正常"
        },
        {
            "name": "test_docker-engine_function_uninstall",
            "desc": "测试docker-engine软件包的卸载功能是否正常"
        },
        {
            "name": "test_docker-engine_function_daemon_start",
            "desc": "测试docker-engine服务启动功能"
        },
        {
            "name": "test_docker-engine_function_daemon_status",
            "desc": "测试docker-engine服务状态查询功能"
        },
        {
            "name": "test_docker-engine_function_image_pull",
            "desc": "测试docker-engine拉取公共镜像功能"
        },
        {
            "name": "test_docker-engine_function_container_run",
            "desc": "测试docker-engine运行一个基础容器功能"
        },
        {
            "name": "test_docker-engine_function_container_list",
            "desc": "测试docker-engine列出所有容器功能"
        },
        {
            "name": "test_docker-engine_function_image_list",
            "desc": "测试docker-engine列出所有镜像功能"
        },
        {
            "name": "test_docker-engine_function_container_stop",
            "desc": "测试docker-engine停止一个运行中的容器功能"
        },
        {
            "name": "test_docker-engine_function_container_remove",
            "desc": "测试docker-engine删除一个容器功能"
        },
        {
            "name": "test_docker-engine_function_image_remove",
            "desc": "测试docker-engine删除一个镜像功能"
        },
        {
            "name": "test_docker-engine_function_version",
            "desc": "测试docker-engine版本信息查询功能"
        }
    ]
}